Loading...
Searching...
No Matches
pdumodel::Panel::CircuitCreatedEvent Struct Reference

Event: A new circuit was added. More...

`import "Panel.idl";`

Inheritance diagram for pdumodel::Panel::CircuitCreatedEvent:

## Public Attributes

Circuit | circuit
| New circuit.
Circuit::Config | config
| New circuit config.
Circuit::Settings | settings
| New circuit settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A new circuit was added.

Definition at line 75 of file Panel.idl.

## Member Data Documentation

## circuit

Circuit pdumodel::Panel::CircuitCreatedEvent::circuit

New circuit.

Definition at line 76 of file Panel.idl.

## config

Circuit::Config pdumodel::Panel::CircuitCreatedEvent::config

New circuit config.

Definition at line 77 of file Panel.idl.

## settings

Circuit::Settings pdumodel::Panel::CircuitCreatedEvent::settings

New circuit settings.

Definition at line 78 of file Panel.idl.

The documentation for this struct was generated from the following file:

- Panel.idl